[@rxap/tree](../wiki/globals) / TreeContentDirective

# Class: TreeContentDirective

Defined in: [tree/src/lib/tree-content.directive.ts:11](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree-content.directive.ts#L11)

## Constructors

### new TreeContentDirective()

> **new TreeContentDirective**(`template`): [`TreeContentDirective`](../wiki/Class.TreeContentDirective)

Defined in: [tree/src/lib/tree-content.directive.ts:12](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree-content.directive.ts#L12)

#### Parameters

##### template

`TemplateRef`\<`any`\>

#### Returns

[`TreeContentDirective`](../wiki/Class.TreeContentDirective)

## Properties

### template

> `readonly` **template**: `TemplateRef`\<`any`\>

Defined in: [tree/src/lib/tree-content.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree-content.directive.ts#L14)
